MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028983Community[OCCT] OCCT:Configurationpublic2017-08-08 14:532017-12-08 15:16
Reporteraothms 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version32 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028983: Configuration - HAVE_NO_DLL causes compilation to fail on MSVC
DescriptionCompilation with -DHAVE_NO_DLL fails on MSVC, probably because if !defined(HAVE_NO_DLL) then WIN32_LEAN_AND_MEAN et al. is not defined [1] and macro expansion happens on function refs such as max() and GetObject(), see error log below. I'll see if I can submit a patch.

[1] http://git.dev.opencascade.org/gitweb/?p=occt.git;a=blob;f=src/Standard/Standard_Macro.hxx;h=1d2a2670c83dc9963b7a20dd202345a8ccc422c1;hb=HEAD#l74 [^]

2>src\OpenGl\OpenGl_PrimitiveArray.cxx(953): warning C4003: not enough actual parameters for macro 'max'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(281): error C2039: 'GetObjectA': is not a member of 'XCAFDoc_Dimension'
2>src\OpenGl\OpenGl_PrimitiveArray.cxx(953): error C2589: '(': illegal token on right side of '::'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(243): error C2039: 'GetObjectA': is not a member of 'XCAFDoc_GeomTolerance'
2>src\OpenGl\OpenGl_PrimitiveArray.cxx(953): error C2059: syntax error: '::'
1> src/XCAFDoc/XCAFDoc.hxx(30): note: see declaration of 'XCAFDoc_GeomTolerance'
2>src\OpenGl\OpenGl_PrimitiveArray.cxx(954): error C2143: syntax error: missing ';' before '{'
1> src/XCAFDoc/XCAFDoc.hxx(29): note: see declaration of 'XCAFDoc_Dimension'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(244): error C2270: 'GetObjectA': modifiers not allowed on nonmember functions
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(282): error C2270: 'GetObjectA': modifiers not allowed on nonmember functions
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(248): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(286): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(248): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(248): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(286): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(286): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(248): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(286): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(254): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(292): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(254): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(254): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(292): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(292): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(254): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(292): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(260): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(299): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(260): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(260): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(299): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(299): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(260): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(299): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(266): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(305): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(266): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(266): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(305): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(305): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(266): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(305): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(272): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(312): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(272): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(272): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(312): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(312): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(272): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(312): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(278): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(319): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(278): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(278): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(319): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(319): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(278): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(319): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(284): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(329): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(284): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(284): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(329): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(329): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(284): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(329): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(294): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(337): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(294): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(294): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(337): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(337): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(294): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(337): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(302): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(302): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(302): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(345): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(302): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(345): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(345): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(303): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(345): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(303): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(303): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(352): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(303): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(352): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(352): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(304): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(352): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(304): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(304): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(359): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(304): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(359): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(359): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(313): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(359): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(313): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(313): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(360): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(313): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(360): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(360): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(314): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(360): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(314): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(314): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(361): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(314): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(361): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(361): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(315): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(361): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(315): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(315): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(371): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(315): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(371): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(371): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(325): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(371): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(325): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(325): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(378): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(325): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(378): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(378): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(332): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(332): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(332): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(332): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(339): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(339): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_GeomTolerance.cxx(339): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(401): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(401): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(401): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(401): error C2228: left of '.FindAttribute' must have class/struct/union
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(402): error C3861: 'Label': identifier not found
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(402): error C2228: left of '.FindChild' must have class/struct/union
1> src\XCAFDoc\XCAFDoc_Dimension.cxx(402): note: type is 'unknown-type'
1>src\XCAFDoc\XCAFDoc_Dimension.cxx(402): error C2228: left of '.FindAttribute' must have class/struct/union
3> AIS_ConcentricRelation.cxx
3>src\AIS\AIS_ConcentricRelation.cxx(189): warning C4091: '': ignored on left of 'double' when no variable is declared
3>src\AIS\AIS_ConcentricRelation.cxx(189): error C2143: syntax error: missing ';' before 'constant'
3>src\AIS\AIS_ConcentricRelation.cxx(189): warning C4244: '=': conversion from 'Standard_Real' to 'int', possible loss of data
3>src\AIS\AIS_ConcentricRelation.cxx(189): error C2106: '=': left operand must be l-value
3>src\AIS\AIS_ConcentricRelation.cxx(190): warning C4091: '': ignored on left of 'double' when no variable is declared
3>src\AIS\AIS_ConcentricRelation.cxx(190): error C2143: syntax error: missing ';' before 'constant'
3>src\AIS\AIS_ConcentricRelation.cxx(190): warning C4244: '=': conversion from 'Standard_Real' to 'int', possible loss of data
3>src\AIS\AIS_ConcentricRelation.cxx(190): error C2106: '=': left operand must be l-value
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028822closedbugmaster Open CASCADE Configuration, XCAFDoc - fix name collision with macros GetObject() 
related to 0029377resolvedabv Open CASCADE Configuration, CMake - linkage errors while using static OCCT libraries on Windows platform 

-  Notes
(0069270)
git (administrator)
2017-08-10 11:01

Branch CR28983 has been created by aothms.

SHA-1: 933734020b8e94fa84800090e0159affee67f160


Detailed log of new commits:

Author: Thomas Krijnen
Date: Thu Aug 10 10:01:40 2017 +0200

    On windows, define WIN32_LEAN_AND_MEAN, NOMINMAX, ..., NOIME also when compiling with HAVE_NO_DLL
(0069271)
aothms (reporter)
2017-08-10 11:05

Committed.

http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commit;h=933734020b8e94fa84800090e0159affee67f160 [^]
(0069272)
kgv (developer)
2017-08-10 11:14

Please verify the patch (only building should be checked).
(0069274)
bugmaster (administrator)
2017-08-10 12:54

Combination -
OCCT branch : CR28983 : SHA-1: 933734020b8e94fa84800090e0159affee67f160
Products branch : master
was compiled on Linux, MacOS and Windows platforms
http://jenkins-test-10.nnov.opencascade.com/view/CR28983-master/view/PRODUCTS%20compile/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)
(0069656)
git (administrator)
2017-08-18 17:00

Branch CR28983 has been deleted by kgv.

SHA-1: 933734020b8e94fa84800090e0159affee67f160

- Related Changesets
occt: master d37ac0c2
Timestamp: 2017-08-10 08:01:40
Author: aothms
Committer: bugmaster
Details ] Diff ]
0028983: Configuration - HAVE_NO_DLL causes compilation to fail on MSVC
mod - src/Standard/Standard_Macro.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-08 14:53 aothms New Issue
2017-08-08 14:53 aothms Assigned To => bugmaster
2017-08-10 11:01 git Note Added: 0069270
2017-08-10 11:05 aothms Note Added: 0069271
2017-08-10 11:14 kgv Note Added: 0069272
2017-08-10 11:14 kgv Status new => resolved
2017-08-10 11:14 kgv Target Version => 7.2.0
2017-08-10 11:14 kgv Summary HAVE_NO_DLL causes compilation to fail on MSVC => Configuration - HAVE_NO_DLL causes compilation to fail on MSVC
2017-08-10 11:14 kgv Status resolved => reviewed
2017-08-10 11:15 kgv Relationship added related to 0028822
2017-08-10 12:54 bugmaster Note Added: 0069274
2017-08-10 12:54 bugmaster Status reviewed => tested
2017-08-11 07:52 bugmaster Changeset attached => occt master d37ac0c2
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 13:03 bugmaster Test case number => Not required
2017-08-18 17:00 git Note Added: 0069656
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:29 aiv Status verified => closed
2017-12-08 15:16 kgv Relationship added related to 0029377


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker